【威胁通告】Apple macOS安全更新 High Sierra 10.13.2,2017-002 Sierra,2017-005 El Capitan

北京时间12月7日,Apple官方发布了安全通告描述了关于macOS High Sierra 10.13.2,安全更新2017-002 Sierra和安全更新2017-005 El Capitan的安全更新内容,其中涉及若干越权访问以及代码执行的漏洞。

相关链接:

https://support.apple.com/en-us/HT208331

 

更新详情

  • Apache CVE-2017-9798

适用于:macOS High Sierra 10.13.1,macOS Sierra 10.12.6,OS X El Capitan 10.11.6

影响:处理恶意制作的Apache配置指令可能会导致进程内存泄露

说明:通过更新到版本2.4.28解决了多个问题。

 

  • curl CVE-2017-1000254

适用于:macOS High Sierra 10.13.1,macOS Sierra 10.12.6,OS X El Capitan 10.11.6

影响:恶意的FTP服务器可能会导致客户端读取超出界限的内存

说明:FTP PWD响应解析中存在越界读取问题。这个问题是通过改进边界检查来解决的。

 

  • 目录工具 CVE-2017-13872

适用于:macOS High Sierra 10.13和macOS High Sierra 10.13.1

不受影响:macOS Sierra 10.12.6及更早版本

影响:攻击者可能会在不提供管理员密码的情况下绕过管理员身份验证

说明:验证凭据时存在逻辑错误。这是通过改进的凭证验证来解决的。

 

  • Intel图形驱动程序 CVE-2017-13883

适用于:macOS High Sierra 10.13.1

影响:应用程序可能能够使用内核权限执行任意代码

说明:内存损坏问题已通过改进的内存处理得到解决。

 

  • Intel图形驱动程序 CVE-2017-13878

适用于:macOS High Sierra 10.13.1

影响:本地用户可能会导致意外的系统终止或读取内核内存

说明:存在导致内核内存泄露的超出边界读取问题。这是通过改进输入验证来解决的。

 

  • Intel图形驱动程序 CVE-2017-13875

适用于:macOS High Sierra 10.13.1

影响:应用程序可能能够使用系统权限执行任意代码

说明:通过改进边界检查解决了越界读取问题。

 

  • IOAcceleratorFamily CVE-2017-13844

适用于:macOS高级Sierra 10.13.1,macOS Sierra 10.12.6,OS X El Capitan 10.11.6

影响:应用程序可能能够使用系统权限执行任意代码

说明:内存损坏问题已通过改进的内存处理得到解决。

 

  • IOKit CVE-2017-13848 CVE-2017-13858

适用于:macOS High Sierra 10.13.1

影响:应用程序可能能够使用系统权限执行任意代码

说明:内核中存在输入验证问题。通过改进输入验证解决了这个问题。

 

  • IOKit CVE-2017-13847

适用于:macOS高级Sierra 10.13.1,macOS Sierra 10.12.6,OS X El Capitan 10.11.6

影响:应用程序可能能够使用系统权限执行任意代码

说明:通过改进状态管理解决了多个内存损坏问题。

 

  • Kernel CVE-2017-13862

适用于:macOS高级Sierra 10.13.1,macOS Sierra 10.12.6,OS X El Capitan 10.11.6

影响:应用程序可能能够使用内核权限执行任意代码

说明:内存损坏问题已通过改进的内存处理得到解决。

 

  • Kernel CVE-2017-13833

适用于:macOS高级Sierra 10.13.1,macOS Sierra 10.12.6,OS X El Capitan 10.11.6

影响:应用程序可能能够读取受限制的内存

说明:通过改进边界检查解决了越界读取问题。

 

  • Kernel CVE-2017-13876

适用于:macOS High Sierra 10.13.1

影响:应用程序可能能够使用内核权限执行任意代码

说明:内存损坏问题已通过改进的内存处理得到解决。

 

  • Kernel CVE-2017-13855

适用于:macOS高级Sierra 10.13.1,macOS Sierra 10.12.6,OS X El Capitan 10.11.6

影响:应用程序可能能够读取受限制的内存

说明:类型混淆问题是通过改进的内存处理来解决的。

 

  • 核心 CVE-2017-13867

适用于:macOS高级Sierra 10.13.1,macOS Sierra 10.12.6,OS X El Capitan 10.11.6

影响:恶意应用程序可能能够使用内核权限执行任意代码

说明:内存损坏问题已通过改进的内存处理得到解决。

 

 

  • Kernel CVE-2017-13865

适用于:macOS High Sierra 10.13.1

影响:应用程序可能能够读取受限制的内存

说明:验证问题是通过改善输入消毒来解决的。

 

  • Kernel CVE-2017-13868 CVE-2017-13869

适用于:macOS高级Sierra 10.13.1,macOS Sierra 10.12.6,OS X El Capitan 10.11.6

影响:应用程序可能能够读取受限制的内存

说明:验证问题是通过改善输入消毒来解决的。

 

  • 邮件 CVE-2017-13871

适用于:macOS High Sierra 10.13.1

影响:如果未安装接收方的S / MIME证书,AS / MIME加密电子邮件可能会无意中发送未加密

说明:改进的状态管理解决了不一致的用户界面问题。

 

  • 邮件草稿 CVE-2017-13860

适用于:macOS High Sierra 10.13.1

影响:具有特权网络位置的攻击者可能能够拦截邮件

说明:S / MIME凭证存在加密问题。这个问题是通过额外的检查和用户控制来解决的。

 

  • OpenSSL CVE-2017-3735

适用于:macOS高级Sierra 10.13.1,macOS Sierra 10.12.6,OS X El Capitan 10.11.6

影响:应用程序可能能够读取受限制的内存

说明:X.509 IPAddressFamily解析中存在超出范围的读取问题。这个问题是通过改进边界检查来解决的。

 

  • 屏幕共享服务器 CVE-2017-13826

适用于:macOS高Sierra 10.13.1,macOS Sierra 10.12.6

影响:具有屏幕共享访问权的用户可能能够访问root可读的任何文件

说明:处理屏幕共享会话时存在权限问题。此问题已得到解决,改进了权限处理。

解决方案

Apple官方在新版本补丁中已经修复了上述各漏洞,用户应及时升级到最新版本进行防护。

声 明

本安全公告仅用来描述可能存在的安全问题,绿盟科技不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,绿盟科技以及安全公告作者不为此承担任何责任。绿盟科技拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经绿盟科技允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。

 

关于绿盟科技

北京神州绿盟信息安全科技股份有限公司(简称绿盟科技)成立于2000年4月,总部位于北京。在国内外设有30多个分支机构,为政府、运营商、金融、能源、互联网以及教育、医疗等行业用户,提供具有核心竞争力的安全产品及解决方案,帮助客户实现业务的安全顺畅运行。

基于多年的安全攻防研究,绿盟科技在网络及终端安全、互联网基础安全、合规及安全管理等领域,为客户提供入侵检测/防护、抗拒绝服务攻击、远程安全评估以及Web安全防护等产品以及专业安全服务。

北京神州绿盟信息安全科技股份有限公司于2014年1月29日起在深圳证券交易所创业板上市交易,股票简称:绿盟科技,股票代码:300369。

发表评论